Bug 1293614 - [Doc RFE] Add a new chapter on how to deploy RHGS as a container
[Doc RFE] Add a new chapter on how to deploy RHGS as a container
Status: VERIFIED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
3.1
Unspecified Unspecified
high Severity unspecified
: ---
: RHGS 3.1.2
Assigned To: Divya
Shruti Sampat
: FutureFeature, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 07:28 EST by Anjana Suparna Sriram
Modified: 2016-11-23 18:14 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anjana Suparna Sriram 2015-12-22 07:28:50 EST
Document URL: A new chapter to be authored on how to deploy RHGS as a container.

Additional information: 

1) RHGS Container Feature Content Plan: https://mojo.redhat.com/docs/DOC-1059298

2) Containerized RHGS Phase2 Delivery summary: https://docs.google.com/document
/d/1o4_funQmy91dmIG_qAuxowDwfk1jrRIyrGx2wzXNNmU/edit#

3) Test Strategy: https://docs.google.com/document/d/1tPUYLlxdnhhDfSyues4U99j5V3INTH-9k2YzP-Fm94g/edit
Comment 3 Anjana Suparna Sriram 2016-01-19 21:03:57 EST
Further to the Program Call on 1/19, the following must be documented in the Installation Guide:
1) the steps required to ensure persistence of volume information across container re-spawns 
2) the steps a customer needs to perform for performing an update for deployed RHGS  3.1.2 container docker image instances.
Comment 4 Prasanth 2016-02-17 02:01:44 EST
Anjana/Divya/Ashiq,

I would like to know if the newly proposed method of "Creating a RHGS Container", as mentioned in "Bug 1300637- Make use of Volume Containers when deploying RHGS pods", is also captured and documented in this guide. Could you please confirm the same?
Comment 5 Divya 2016-02-17 06:10:18 EST
Prasanth,

"Creating a RHGS Container" steps are documented in the admin guide[1] as it is prerequisites of running a container.

Admin Guide tracker bug https://bugzilla.redhat.com/show_bug.cgi?id=1293618 

[1] WIP Admin Guide content - https://docs.google.com/document/d/1QK3OqAiZYhEEpwPLQmwB4TX2nyr2vDdIlyAhCcP0Cvc/edit#
Comment 6 Divya 2016-02-19 05:57:56 EST
Created a new chapter "Chapter 7. Deploying Containerized Red Hat Gluster Storage with Atomic Host" to document instructions for users to deploy containerized Red Hat Gluster Storage on a Atomic Host.

Link to the doc: http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Installation_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#chap-Deploying_Containerized_RHGS_with_Atomic_Host

Moving the bug to ON_QA.
Comment 7 Divya 2016-02-19 06:07:29 EST
Anoop,

Could you please review "Supported Deployment Configuration" section and confirm if the configuration information is correct?

http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Installation_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#idm140266072226512
Comment 8 Shruti Sampat 2016-02-24 04:53:05 EST
(In reply to Divya from comment #6)
> Created a new chapter "Chapter 7. Deploying Containerized Red Hat Gluster
> Storage with Atomic Host" to document instructions for users to deploy
> containerized Red Hat Gluster Storage on a Atomic Host.
> 
> Link to the doc:
> http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-
> 3.1-Installation_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-
> US/html-single/index.html#chap-Deploying_Containerized_RHGS_with_Atomic_Host
> 
> Moving the bug to ON_QA.

Hi Divya,

I went through Chapter 7 of the above doc and it looks okay, except for the name of the image that is not added to the `docker pull' command. Can you please update that?
Comment 9 Divya 2016-02-24 05:00:22 EST
(In reply to Shruti Sampat from comment #8)
> (In reply to Divya from comment #6)
> > Created a new chapter "Chapter 7. Deploying Containerized Red Hat Gluster
> > Storage with Atomic Host" to document instructions for users to deploy
> > containerized Red Hat Gluster Storage on a Atomic Host.
> > 
> > Link to the doc:
> > http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-
> > 3.1-Installation_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-
> > US/html-single/index.html#chap-Deploying_Containerized_RHGS_with_Atomic_Host
> > 
> > Moving the bug to ON_QA.
> 
> Hi Divya,
> 
> I went through Chapter 7 of the above doc and it looks okay, except for the
> name of the image that is not added to the `docker pull' command. Can you
> please update that?

Hi Shruti,

I have updated the image name.

Link to the doc: http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Installation_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#chap-Deploying_Containerized_RHGS_with_Atomic_Host-Downloading_RHGS_Image
Comment 10 Shruti Sampat 2016-02-24 06:23:22 EST
Hi Divya,

I spoke to Anoop about section ⁠6.1. (Supported Deployment Configuration). Please change the following reference to "three bricks per Atomic Host" to "four bricks per Atomic Host" -

You can install one Container per Atomic Host and configure three bricks per Atomic Host.

There is one other change that needs to made to step 4 of section ⁠6.3.(Downloading the Red Hat Gluster Storage Image from the Red Hat Registry). It is the /etc/redhat-storage-release file inside the container that has the following information -

Red Hat Gluster Storage Server 3.1 Update 2 (Container)

So the command should be -

# docker run rhgs cat /etc/redhat-storage-release

Moving BZ to ASSIGNED.
Comment 11 Divya 2016-02-25 00:59:50 EST
(In reply to Shruti Sampat from comment #10)
> Hi Divya,
> 
> I spoke to Anoop about section ⁠6.1. (Supported Deployment Configuration).
> Please change the following reference to "three bricks per Atomic Host" to
> "four bricks per Atomic Host" -
> 

Updated the supported configuration info to:

"You can install one Container per Atomic Host and configure four bricks per Atomic Host."

> You can install one Container per Atomic Host and configure three bricks per
> Atomic Host.
> 
> There is one other change that needs to made to step 4 of section
> ⁠6.3.(Downloading the Red Hat Gluster Storage Image from the Red Hat
> Registry). It is the /etc/redhat-storage-release file inside the container
> that has the following information -
> 
> Red Hat Gluster Storage Server 3.1 Update 2 (Container)
> 
> So the command should be -
> 
> # docker run rhgs cat /etc/redhat-storage-release

Updated the command to: # docker run rhgs cat /etc/redhat-storage-release

> 
> Moving BZ to ASSIGNED.

Moving the BZ to ON_QA.

Link to the latest doc: http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Installation_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#chap-Deploying_Containerized_RHGS_with_Atomic_Host-Supported_Configuration
Comment 12 Shruti Sampat 2016-02-25 01:52:24 EST
Verified as fixed in the latest doc.
Comment 13 Mohamed Ashiq 2016-02-25 03:57:44 EST
Hi,

# docker run rhgs cat /etc/redhat-storage-release
Red Hat Gluster Storage Server 3.1 Update 2 (Container)


This should be 

# docker run rhgs3/rhgs-server-rhel7 cat /etc/redhat-storage-release
Red Hat Gluster Storage Server 3.1 Update 2 (Container)
Comment 14 Shruti Sampat 2016-02-25 04:30:25 EST
(In reply to Mohamed Ashiq from comment #13)
> Hi,
> 
> # docker run rhgs cat /etc/redhat-storage-release
> Red Hat Gluster Storage Server 3.1 Update 2 (Container)
> 
> 
> This should be 
> 
> # docker run rhgs3/rhgs-server-rhel7 cat /etc/redhat-storage-release
> Red Hat Gluster Storage Server 3.1 Update 2 (Container)

Yes, that is right. I did not notice that. Divya, can this be corrected now? Apologies for not bringing this up earlier.
Comment 15 Divya 2016-02-25 04:46:02 EST
(In reply to Shruti Sampat from comment #14)
> (In reply to Mohamed Ashiq from comment #13)
> > Hi,
> > 
> > # docker run rhgs cat /etc/redhat-storage-release
> > Red Hat Gluster Storage Server 3.1 Update 2 (Container)
> > 
> > 
> > This should be 
> > 
> > # docker run rhgs3/rhgs-server-rhel7 cat /etc/redhat-storage-release
> > Red Hat Gluster Storage Server 3.1 Update 2 (Container)
> 
> Yes, that is right. I did not notice that. Divya, can this be corrected now?
> Apologies for not bringing this up earlier.

Fixed the issue.

Link to the doc:http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Installation_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#chap-Deploying_Containerized_RHGS_with_Atomic_Host-Downloading_RHGS_Image

Note You need to log in before you can comment on or make changes to this bug.